async function main() {
	print(core.url);
	let host = core.url.match(/.*?\/\/([^:/]*)/)[1];
	let port = await ssb.port();
	let id = (await ssb.getServerIdentity()).substring(1).split('.')[0];
	let room = `net:${host}:${port}~shs:${id}:SSB+Room+PSK3TLYC2T86EHQCUHBUHASCASE18JBV24=`;
	await app.setDocument(`
		<body style="color: #fff">
			<h1>Server</h1>
			<div>The local server address is:</div>
			<div><input type="text" readonly value="${room}" style="width: 100%"></input></div>
		</body>
	`);
}
main();
